Bug 226066 - [Cocoa] REGRESSION(Sandbox): Font smoothing within Safari doesn't seem to respect AppleFontSmoothing
Summary: [Cocoa] REGRESSION(Sandbox): Font smoothing within Safari doesn't seem to res...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks: 228201
  Show dependency treegraph
 
Reported: 2021-05-20 20:14 PDT by Myles C. Maxfield
Modified: 2021-07-22 15:01 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.62 KB, patch)
2021-05-20 20:16 PDT, Myles C. Maxfield
pvollan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-05-20 20:14:22 PDT
REGRESSION(Sandbox): Font smoothing within Safari doesn't seem to respect AppleFontSmoothing
Comment 1 Myles C. Maxfield 2021-05-20 20:16:33 PDT
Created attachment 429262 [details]
Patch
Comment 2 Myles C. Maxfield 2021-05-20 20:16:35 PDT
<rdar://problem/72795817>
Comment 3 Per Arne Vollan 2021-05-21 06:29:19 PDT
Comment on attachment 429262 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=429262&action=review

R=me.

> Source/WebKit/WebProcess/com.apple.WebProcess.sb.in:2310
> +
> +#if ENABLE(CFPREFS_DIRECT_MODE)
> +(allow file-read*
> +    (home-regex "/Library/Preferences/ByHost/\.GlobalPreferences\..*\.plist$")
> +)
> +#endif

There's already a section with ENABLE(CFPREFS_DIRECT_MODE). Perhaps you could move this there to have it all in one place?
Comment 4 Myles C. Maxfield 2021-05-21 11:55:08 PDT
Committed r277873 (238011@main): <https://commits.webkit.org/238011@main>